<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
	<div class="tab">
	        <xsl:for-each select="ar"> 
			<xsl:apply-templates/>
		</xsl:for-each>
	</div>
</xsl:template> 

<xsl:template match="dict">
	<div class="dict"><xsl:apply-templates/></div>
</xsl:template>


<xsl:template match="info">
	<div class="info">
		<xsl:variable name="path" select="@path"/>
		<img class="icon" src="{$path}"/>
		<xsl:if test="@bookmark = 'true'">
			<img src="$STAR$" width="16" height="16"/>   
      		</xsl:if>
		<xsl:value-of select="."/> 
	</div>
</xsl:template>

<xsl:template match="key">
	<div class="key"><xsl:value-of select="."/></div>		        
</xsl:template>

<xsl:template match="t">
	<div class="cell"><xsl:apply-templates/></div>
</xsl:template>

<xsl:template match="tr">
	[<span class="i"><xsl:apply-templates/></span>]
</xsl:template> 

<xsl:template match="pos">
	(<span><xsl:apply-templates/></span>)
</xsl:template>

<xsl:template match="pot">
	,<span class="i"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="tence">
	,<span class="i"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="def">
	,(<xsl:apply-templates/>)
</xsl:template>

<xsl:template match="ex">
	,"<xsl:apply-templates/>"
</xsl:template>

<xsl:template match="b">
        <span class="b"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="u">
        <span class="u"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="i">
        <span class="i"><xsl:apply-templates/></span>
</xsl:template> 

<xsl:template match="c">
	<xsl:variable name="atr" select="@c"/>
	<font color="{$atr}"> <xsl:apply-templates/></font>
</xsl:template>

<xsl:template match="br">
	<br/>
</xsl:template>

</xsl:stylesheet> 
