/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file DBusAdapter.h
    \brief Implements dbus adapter which defines dbus interface for an application.
    Other application can use this interface to call mdictionary methods.

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef DBUSADAPTER_H
#define DBUSADAPTER_H

#include <QDBusAbstractAdaptor>
#include "MainWindow.h"

/*!
    Implements dbus adapter which defines dbus interface for an application.
    Other application can use this interface to call mdictionary methods.
*/
class DBusAdapter : public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "com.comarch.mdictionary")
public:
    explicit DBusAdapter(MainWindow* w);

public slots:
    //! Searches for a given word
    void search(QString word);

    //! Shows application in foreground, can be used to turn on mdictionary
    //! by another application
    void showApplication();

private:
    MainWindow* mainWindow;

};

#endif // DBUSADAPTER_H
