/*******************************************************************************


    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file WordListProxyStyle.h
    \brief Custom proxy style that draws checkboxes as stars.

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef WORDLISTPROXYSTYLE_H
#define WORDLISTPROXYSTYLE_H

#include <QProxyStyle>
#include <QtGui>

/*! Custom proxy style that draws checkboxes as stars.
    It will automatically wrap set style and change only
    checkboxes drawing.
*/
class WordListProxyStyle : public QProxyStyle
{
public:
    WordListProxyStyle();
    //! Reimplemented drawPrimitive method which only draws different
    //! PE_IndicatorCheckBox elements
    //! \sa QProxyStyle::drawPrimitive()
    void drawPrimitive(PrimitiveElement element,
                       const QStyleOption *option,
                       QPainter *painter,
                       const QWidget *widget) const;

private:
    QPixmap starPixmapOn;
    QPixmap starPixmapOff;
};

#endif // WORDLISTPROXYSTYLE_H
