import Qt 4.7

Rectangle {
    id: searchBarWidget
    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }
    color : myPalette.window;

    property alias enableLineEdit: inputSearchText.enabled;

    function setButtonText(string) { searchButton.setText(string) }
    function setEnableHistoryPrev(Boolean) { historyPrevToolButton.enabled = Boolean }
    function setEnableHistoryNext(Boolean) { historyNextToolButton.enabled = Boolean }
    function setEnableHistoryShow(Boolean) { historyShowToolButton.enabled = Boolean }
    function setEnableLineEdit(Boolean) { enableLineEdit = Boolean }
    function setLineEditText(string) { inputSearchText.setText(string) }
    function clear() { inputSearchText.setText("") }

    signal searchButtonClicked(string text);
    signal historyNextToolButtonClicked;
    signal historyShowToolButtonClicked;
    signal historyPrevToolButtonClicked;

    MyTextLineEdit{
        id: inputSearchText
        width: (searchBarWidget.width - (searchBarWidget.height*3.5 + searchButton.width + 9));
        height: searchBarWidget.height -1;
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        onEnterPressed: searchBarWidget.searchButtonClicked(text);
        focus: searchBarWidget.focus
        IconButton {
            id: clearButton;
            width:  inputSearchText.height-6;
            height: inputSearchText.height-6;
            anchors.rightMargin: 4
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
            enabled: true;
            pathToIcon: "qrc:/button/go-previous.png";
            onClicked: clear();
        }
    }

    Item {
        id: buttonsBox
        width: searchBarWidget.height*3.5 + searchButton.width + 9
        height: searchBarWidget.height
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter

        Button {
            id: searchButton
            width: 100
            height: searchBarWidget.height;
            anchors.rightMargin: 3
            anchors.right: historyPrevToolButton.left
            anchors.verticalCenter: parent.verticalCenter
            textInButton: "Search"
            onClicked: searchBarWidget.searchButtonClicked(inputSearchText.textInLineEdit);
        }

        IconButton {
            id: historyNextToolButton;
            width:  searchBarWidget.height
            height: searchBarWidget.height
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
            enabled: true;
            pathToIcon: "qrc:/button/go-previous.png";
            onClicked: searchBarWidget.historyNextToolButtonClicked();
        }

        IconButton {
            id: historyShowToolButton;
            width:  searchBarWidget.height
            height: searchBarWidget.height
            anchors.rightMargin: 3
            anchors.right: historyNextToolButton.left
            anchors.verticalCenter: parent.verticalCenter
            enabled: true;
            pathToIcon: "qrc:/button/go-previous.png";
            onClicked: searchBarWidget.historyShowToolButtonClicked();
        }

        IconButton {
            id: historyPrevToolButton;
            width:  searchBarWidget.height
            height: searchBarWidget.height
            anchors.rightMargin: 3
            anchors.right: historyShowToolButton.left
            anchors.verticalCenter: parent.verticalCenter
            enabled: true;
            pathToIcon: "qrc:/button/go-previous.png";
            onClicked: searchBarWidget.historyPrevToolButtonClicked();
        }
    }
}
